Skip to content
Esc
↑↓navigate↵open⌘Jpreview

Remove a product from a relation

Remove a specific product from a product relation. If only one product remains in the relation, the entire relation is deleted

DELETE/api/v1/{team_slug}/{app_slug}/relations/{relation_id}/{product_id}
Authorization
AuthorizationBearer token · headerrequired

Management API token, sent as Authorization: Bearer <token>.

Path parameters
app_slugstringrequired

App slug

team_slugstringrequired

Team slug

relation_idstringrequired

Relation ID

product_idstringrequired

Product ID

Responses
200

Relation removed when fewer than two products remain; the OpenAPI distribution also accepts OkResponseRelation when it remains

One of:
internal_pkg_webserver_v1.OkResponseRelation
datagithub_com_enadhq_nabbit_internal_pkg_webserver_models.Relationrequired
Show properties
directionstring
idstring
primary_product_idstring
productsgithub_com_enadhq_nabbit_internal_pkg_webserver_models.RelationProduct[] | null
Show properties
Array of github_com_enadhq_nabbit_internal_pkg_webserver_models.RelationProduct
descriptionstring
idstring
image_urlstring
product_namestring
product_numberstring
slugstring
titlestring
typestring
type_idstring
detailsstring[]

Additional contextual information about the response. Used to provide supplementary details beyond the main data payload, such as validation warnings or processing notes

successbooleanrequired
internal_pkg_webserver_v1.OkResponseRelationRemove
datastringrequired
detailsstring[]

Additional contextual information about the response. Used to provide supplementary details beyond the main data payload, such as validation warnings or processing notes

successbooleanrequired
400

Invalid request (e.g. bad UUID, validation error)

detailsstring[]
messagestring
successbooleanrequired
401

Unauthorized access

detailsstring[]
messagestring
successbooleanrequired
422

Invalid request and not parsable by backend

detailsstring[]
messagestring
successbooleanrequired
500

Internal server error

detailsstring[]
messagestring
successbooleanrequired
Try it
Server
Authorization
Parameters
Request
curl -X DELETE 'https://api.enad.io/api/v1/string/string/relations/string/string' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "data": {
    "direction": "string",
    "id": "string",
    "primary_product_id": "string",
    "products": [
      {
        "description": "string",
        "id": "string",
        "image_url": "string",
        "product_name": "string",
        "product_number": "string",
        "slug": "string"
      }
    ],
    "title": "string",
    "type": "string",
    "type_id": "string"
  },
  "details": [
    "string"
  ],
  "success": true
}